'UDP发送数据
'例题
'network_UDP_Send Sock1,"内容","192.168.1.116",6
'UDP中的总长度字段为2字节 所能表示的最大数为65535 UDP协议头本身占据了8字节 所以所能发送的最大数据长度是65535-8=65527
Function network_UDP_Send(hSock as Any Ptr, sPack as String, IPv4 as String, Port as UShort, Sync as Integer = 0) as Integer
   sPack &= Chr(0)
   IPv4 &= Chr(0)
   UDP_Write(hSock, StrPtr(sPack), Len(sPack) -1, StrPtr(IPv4), Port, Sync)
   '发送数据 返回重叠地址（阻塞模式返回发送字节，回调事件内不进行通知，失败返回-1）
End Function